# Created by pyp2rpm-1.0.1
%global pypi_name pkginfo
%global with_python3 1
%define version 1.2b1

Name:           python-pkginfo
Version:        %{version}
Release:        %mkrel 2
Group:          Development/Python
Summary:        Query metadatdata from sdists / bdists / installed packages

License:        Python
Source0:        https://pypi.python.org/packages/source/p/pkginfo/pkginfo-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-setuptools
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-setuptools
%endif # if with_python3


%description
This package provides an API for querying the distutils metadata
written in the ``PKG-INFO`` file inside a source distriubtion (an
``sdist``) or a binary distribution (e.g., created by running
``bdist_egg``).  It can also query the ``EGG-INFO`` directory of an
installed distribution, and the ``*.egg-info`` stored in a
"development checkout"

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Query metadatdata from sdists / bdists / installed packages


%description -n python3-%{pypi_name}
This package provides an API for querying the distutils metadata
written in the ``PKG-INFO`` file inside a source distriubtion (an
``sdist``) or a binary distribution (e.g., created by running
``bdist_egg``).  It can also query the ``EGG-INFO`` directory of an
installed distribution, and the ``*.egg-info`` stored in a
"development checkout"
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# generate html docs 
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
# generate html docs 
sphinx-build-3.3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/pkginfo %{buildroot}/%{_bindir}/python3-pkginfo
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc html README.txt docs/examples/mypackage-0.1/README.txt
%{_bindir}/pkginfo
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc html README.txt docs/examples/mypackage-0.1/README.txt
%{_bindir}/python3-pkginfo
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3



%changelog
* Wed Jan 08 2014 joequant <joequant> 1.2b1-2.mga4
+ Revision: 565567
- push to core/release

* Sat Jan 04 2014 joequant <joequant> 1.2b1-1.mga4
+ Revision: 564568
- imported package python-pkginfo

